Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037565
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorN/A2017-12-28 17:132018-02-22 18:18
ReportervmromanosView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisioneb72428683f9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037565: Remove outdated Cash Flow report

DescriptionThe Cash Flow report is totally outdated and it has no sense to distribute it as part of Core.

Please delete its code (java, html, xsql, xml, etc.) and AD definition.

Ensure sampledata modules don't contain any reference to the deleted report (it's very likely they don't have any reference because the report is deactivated by default).

Ensure roles dataset don't have any reference to the deleted report.

Delete obsolete wiki page http://wiki.openbravo.com/wiki/Cash_Flow [^] and any reference to it.
Steps To ReproduceNA
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037663 closeddmiguelez API Change Request 
blocks defect 0034525 closedcollazoandy4 Report Cash Flow is not thread safe 

-  Notes
(0101576)
collazoandy4 (developer)
2018-01-04 23:08

As F&B International Group admin role
  Check that the Report Cash Flow it's not available in Openbravo ERP
(0101880)
hgbot (developer)
2018-01-23 09:54

Repository: erp/devel/pi
Changeset: eb72428683f9726186adf8c60d50c8db655b75cd
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jan 03 16:31:53 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/eb72428683f9726186adf8c60d50c8db655b75cd [^]

Fixes issue 37565: Remove outdated Cash Flow report

Removed the AD entry, QA Sample Data Process Access, Java, XML, XSQL and HTML
files for Report Cash Flow

---
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TREENODE.xml
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlow.html
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlow.java
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlow.xml
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlow_data.xsql
---
(0101881)
hgbot (developer)
2018-01-23 09:54

Repository: erp/devel/pi
Changeset: 18df599249e2ab6b06d49069b8a3efb4e068052c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 11 12:26:25 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/18df599249e2ab6b06d49069b8a3efb4e068052c [^]

Related to Issue 37565. Removed unnecessary html and xml files.
Removed unused AD_TextInterfaces.

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlowPopUp.html
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlowPopUp.xml
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlowReload.html
R src/org/openbravo/erpCommon/ad_reports/ReportCashFlowReload.xml
---
(0101896)
dmiguelez (developer)
2018-01-23 11:29

Code Review + Testing Ok
(0102679)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102680)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-12-28 17:13 vmromanos New Issue
2017-12-28 17:13 vmromanos Assigned To => Triage Finance
2017-12-28 17:13 vmromanos Modules => Core
2017-12-28 17:13 vmromanos Triggers an Emergency Pack => No
2017-12-28 17:14 vmromanos Relationship added blocks 0034525
2018-01-03 21:11 collazoandy4 Assigned To Triage Finance => collazoandy4
2018-01-03 21:14 collazoandy4 Status new => scheduled
2018-01-04 23:08 collazoandy4 Note Added: 0101576
2018-01-23 09:54 hgbot Checkin
2018-01-23 09:54 hgbot Note Added: 0101880
2018-01-23 09:54 hgbot Status scheduled => resolved
2018-01-23 09:54 hgbot Resolution open => fixed
2018-01-23 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/eb72428683f9726186adf8c60d50c8db655b75cd [^]
2018-01-23 09:54 hgbot Checkin
2018-01-23 09:54 hgbot Note Added: 0101881
2018-01-23 11:22 dmiguelez Relationship added related to 0037663
2018-01-23 11:29 dmiguelez Review Assigned To => dmiguelez
2018-01-23 11:29 dmiguelez Note Added: 0101896
2018-01-23 11:29 dmiguelez Status resolved => closed
2018-01-23 11:29 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102679
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102680


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker